Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.pagecompile
Class JDKCompiler

    java.lang.Object
      |
      +--org.w3c.jigsaw.pagecompile.JDKCompiler

public class JDKCompiler
extends java.lang.Object
implements PageCompiler

Constructor Summary
`JDKCompiler()`

Method Summary
`boolean` | `compile(java.lang.String[] args, java.io.OutputStream out)` compile some files.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKCompiler

    public JDKCompiler()

Method Detail

### compile

    public boolean compile(java.lang.String[] args,
                           java.io.OutputStream out)

  compile some files.
  Specified by:
    compile in interface PageCompiler
  Parameters:
    `args` - The compiler arguments (files+options)
    `out` - The outputStream, the compiler will write its output in it.
  Returns:
    false if compilation failed.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD